#!/bin/sh
#this script generates ldif output on stdout, which can be used, to
#do some stress tests on your ldap server and ldapdiff

n=10000
#n=1000
#n=100

c=1
while true
do
 echo "dn: cn=First$c Family$c,ou=people,dc=webtomware,dc=com"
 echo "objectClass: posixAccount"
 echo "objectClass: OpenLDAPperson"
 echo "ou: people"
 echo "cn: First$c Family$c"
 echo "sn: Family$c"
 echo "uid: first$c"
 echo "uidNumber: 200$c"
 echo "gidNumber: 100"
 echo "homeDirectory: /home/first$c"
 echo "userPassword: {CRYPT}xxx"
 echo "loginShell: /bin/sh"
 echo "mail: first$c.family$c@rhoen.de"
 echo
 if [ $c -eq $n ]
 then
  break
 fi
 c=`expr $c + 1`
done
